# ipset updater

Bash + Python ipset list updater

### Prerequisites

* ipset
* shorewall

```
apt install ipset shorewall
```

### Installing


git clone

```
git clone https://git.k3nny.fr/Tools/ipset_updater.git
```

install cron task

```
./install.sh
```

launch for first time

```
./ipset_update.sh
```

## Using in shorewall

Add these rules in `/etc/shorewall/rules` :

```
DROP		net:+blacklist	$FW
DROP		net:+blacklist_ipv4	$FW
DROP		net:+blacklist_net	$FW
DROP		$FW			net:+blacklist
DROP		$FW			net:+blacklist_net
DROP		$FW			net:+blacklist_ipv4
```
